# This file created by conda-build 2.1.15
# meta.yaml template originally from:
# Origin b'https://github.intel.com/SAT/scikit-learn-recipe.git', commit b'b84071077458a7b8e57b0d9a9c124ab2a49ce4bd'
# ------------------------------------------------

package:
    name: scikit-learn
    version: 0.19.1
source:
    git_rev: 0.19.1
    git_url: C:\TCAgent2\work\11562aa05e25f578\scikit-learn-recipe\https:\github.com\scikit-learn\scikit-learn.git
    patches:
        - intel_daal4sklearn.patch
        - adjust_preprocessing_data_test.patch
        - intel_standard_scaler.patch
        - tsne-no-needless-clock.patch
        - setup-fix.patch
build:
    features:
        - intel
    noarch: ''
    noarch_python: false
    number: '29'
    string: np114py36_intel_29
requirements:
    build:
        - python 3.6.3 intel_12
        - tcl 8.6.4 vc14_intel_19
        - sqlite 3.23.1 vc14_intel_0
        - scipy 1.0.1 np114py36_intel_3
        - setuptools 39.0.1 py36_0
        - intelpython 2018.0.3 0
        - tbb 2018.0.2 py36_intel_0
        - tk 8.6.4 vc14_intel_26
        - mkl_random 1.0.1 np114py36_intel_0
        - xz 5.2.3 vc14_intel_0
        - icc_rt 2018.0.3 intel_0
        - openmp 2018.0.3 intel_0
        - vs2015_runtime 14.0.25420 intel_0
        - numpy 1.14.3 py36_intel_0
        - openssl 1.0.2o vc14_intel_0
        - daal 2018.0.3.20180405 0
        - mkl-include 2018.0.3 intel_0
        - vc 14.0 2
        - mkl 2018.0.3 intel_0
        - certifi 2018.1.18 py36_intel_0
        - zlib 1.2.11 vc14_intel_3
        - cython 0.28.2 py36_intel_4
        - wincertstore 0.2 py36_intel_0
        - bzip2 1.0.6 vc14_intel_14
        - mkl_fft 1.0.2 np114py36_intel_0
        - mkl-devel 2018.0.3 intel_0
        - pydaal 2018.0.3.20180405 np114py36_intel_0
    run:
        - python
        - numpy x.x
        - scipy
        - pydaal 2018*
        - mkl  >=2018.0.0
        - intelpython
test:
    commands:
        - python -c "from intel_tester import test_routine; test_routine.test_exec()"
    files:
        - intel_tester_config.py
    imports:
        - sklearn
    requires:
        - intel_tester
        - nose
        - cio-bt
        - setuptools
        - matplotlib
        - pandas
about:
    home: http://scikit-learn.org/stable/
    license: 3-clause BSD
    license_family: BSD
    license_file: COPYING
    summary: A set of python modules for machine learning and data mining
extra:
    final: true
